[Commits] 440e040: MDEV-11941 - Lintian complains about executable bits

Sergey Vojtovich svoj at mariadb.org
Fri Mar 3 10:37:28 EET 2017


revision-id: 440e040a2421ad0d3ad3a059f1c4d5ffbf94a271 (mariadb-10.1.21-44-g440e040)
parent(s): 88b5eedef2b1f235346adf9aeca05c4ebab9921c
committer: Sergey Vojtovich
timestamp: 2017-03-03 12:33:24 +0400
message:

MDEV-11941 - Lintian complains about executable bits

Revoked executable bit from files that are not supposed to be executed directly.
Removed interpreted from files that are not supposed to be executed directly.
Added interpreter to files that are supposed to be executed directly.

---
 mysql-test/lib/generate-ssl-certs.sh               |   2 +-
 mysql-test/suite/innodb/include/ibd_convert.pl     |   1 -
 .../suite/parts/r/partition_exch_innodb.result     |   0
 .../suite/parts/r/partition_exch_myisam.result     |   0
 .../parts/r/partition_exch_myisam_innodb.result    |   0
 mysql-test/suite/parts/r/partition_exch_qa.result  |   0
 .../suite/parts/r/partition_exch_qa_11.result      |   0
 .../suite/parts/r/partition_exch_qa_14.result      |   0
 .../suite/parts/r/partition_exch_qa_3.result       |   0
 .../parts/r/partition_exch_qa_4_innodb.result      |   0
 .../parts/r/partition_exch_qa_4_myisam.result      |   0
 .../parts/r/partition_exch_qa_5_innodb.result      |   0
 .../parts/r/partition_exch_qa_5_myisam.result      |   0
 .../suite/parts/r/partition_exch_qa_6.result       |   0
 .../parts/r/partition_exch_qa_7_innodb.result      |   0
 .../parts/r/partition_exch_qa_7_myisam.result      |   0
 .../parts/r/partition_exch_qa_8_innodb.result      |   0
 .../parts/r/partition_exch_qa_8_myisam.result      |   0
 mysql-test/t/long_tmpdir-master.sh                 |   1 -
 mysql-test/t/lowercase_mixed_tmpdir-master.sh      |   1 -
 .../t/lowercase_mixed_tmpdir_innodb-master.sh      |   0
 scripts/CMakeLists.txt                             |  49 +++--
 scripts/wsrep_sst_common                           | 216 +++++++++++++++++++++
 scripts/wsrep_sst_common.sh                        | 216 ---------------------
 .../oqgraph/generate_backing_table_tests_suite.sh  |   3 +-
 .../oqgraph/maintainer-general-record.sh           |   1 +
 26 files changed, 243 insertions(+), 247 deletions(-)

diff --git a/mysql-test/lib/generate-ssl-certs.sh b/mysql-test/lib/generate-ssl-certs.sh
index 5dca21a..cc919df 100755
--- a/mysql-test/lib/generate-ssl-certs.sh
+++ b/mysql-test/lib/generate-ssl-certs.sh
@@ -1,4 +1,4 @@
-#/bin/sh -xe
+#!/bin/sh -xe
 
 # simply run me from mysql-test/
 cd std_data/
diff --git a/mysql-test/suite/innodb/include/ibd_convert.pl b/mysql-test/suite/innodb/include/ibd_convert.pl
index 32eef96..9c7e829f 100644
--- a/mysql-test/suite/innodb/include/ibd_convert.pl
+++ b/mysql-test/suite/innodb/include/ibd_convert.pl
@@ -1,4 +1,3 @@
-#!/usr/bin/perl
 # Convert tablespace flags to the format understood by MariaDB 10.1.0..10.1.20,
 # with the assumption that the flags were correct.
 
diff --git a/mysql-test/suite/parts/r/partition_exch_innodb.result b/mysql-test/suite/parts/r/partition_exch_innodb.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_myisam.result b/mysql-test/suite/parts/r/partition_exch_myisam.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_myisam_innodb.result b/mysql-test/suite/parts/r/partition_exch_myisam_innodb.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa.result b/mysql-test/suite/parts/r/partition_exch_qa.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_11.result b/mysql-test/suite/parts/r/partition_exch_qa_11.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_14.result b/mysql-test/suite/parts/r/partition_exch_qa_14.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_3.result b/mysql-test/suite/parts/r/partition_exch_qa_3.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_4_innodb.result b/mysql-test/suite/parts/r/partition_exch_qa_4_innodb.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_4_myisam.result b/mysql-test/suite/parts/r/partition_exch_qa_4_myisam.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_5_innodb.result b/mysql-test/suite/parts/r/partition_exch_qa_5_innodb.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_5_myisam.result b/mysql-test/suite/parts/r/partition_exch_qa_5_myisam.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_6.result b/mysql-test/suite/parts/r/partition_exch_qa_6.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_7_innodb.result b/mysql-test/suite/parts/r/partition_exch_qa_7_innodb.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_7_myisam.result b/mysql-test/suite/parts/r/partition_exch_qa_7_myisam.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_8_innodb.result b/mysql-test/suite/parts/r/partition_exch_qa_8_innodb.result
old mode 100755
new mode 100644
diff --git a/mysql-test/suite/parts/r/partition_exch_qa_8_myisam.result b/mysql-test/suite/parts/r/partition_exch_qa_8_myisam.result
old mode 100755
new mode 100644
diff --git a/mysql-test/t/long_tmpdir-master.sh b/mysql-test/t/long_tmpdir-master.sh
old mode 100755
new mode 100644
index 7bcbee2..318955f
--- a/mysql-test/t/long_tmpdir-master.sh
+++ b/mysql-test/t/long_tmpdir-master.sh
@@ -1,4 +1,3 @@
-#!/bin/sh
 d="$MYSQLTEST_VARDIR/tmp/long_temporary_directory_path_123456789_123456789_123456789_123456789_123456789_123456789_123456789_123456789"
 test -d "$d" || mkdir "$d"
 rm -f "$d"/*
diff --git a/mysql-test/t/lowercase_mixed_tmpdir-master.sh b/mysql-test/t/lowercase_mixed_tmpdir-master.sh
old mode 100755
new mode 100644
index 9330d05..95c26e3
--- a/mysql-test/t/lowercase_mixed_tmpdir-master.sh
+++ b/mysql-test/t/lowercase_mixed_tmpdir-master.sh
@@ -1,4 +1,3 @@
-#!/bin/sh
 # This test requires a non-lowercase tmpdir directory on a case-sensitive
 # filesystem.
 
diff --git a/mysql-test/t/lowercase_mixed_tmpdir_innodb-master.sh b/mysql-test/t/lowercase_mixed_tmpdir_innodb-master.sh
old mode 100755
new mode 100644
diff --git a/scripts/CMakeLists.txt b/scripts/CMakeLists.txt
index d960f79..148dddc 100644
--- a/scripts/CMakeLists.txt
+++ b/scripts/CMakeLists.txt
@@ -73,6 +73,23 @@ IF(UNIX)
 )
 ENDIF()
 
+# Configure two scripts from one 'in' file.
+# The maria_add_gis_sp.sql - to be sent to 'mysql' tool
+# and the maria_add_gis_sp_bootstrap.sql, that can be sent to
+# the server as a bootstrap command.
+
+SET(ADD_GIS_SP_SET_DELIMITER "delimiter |")
+SET(ADD_GIS_SP_RESET_DELIMITER "delimiter ;")
+SET(ADD_GIS_SP_EOL "|")
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/maria_add_gis_sp.sql.in
+  ${CMAKE_CURRENT_BINARY_DIR}/maria_add_gis_sp.sql ESCAPE_QUOTES @ONLY)
+
+SET(ADD_GIS_SP_SET_DELIMITER "")
+SET(ADD_GIS_SP_RESET_DELIMITER "")
+SET(ADD_GIS_SP_EOL ";")
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/maria_add_gis_sp.sql.in
+  ${CMAKE_CURRENT_BINARY_DIR}/maria_add_gis_sp_bootstrap.sql ESCAPE_QUOTES @ONLY)
+
 INSTALL(FILES 
   ${CMAKE_CURRENT_SOURCE_DIR}/mysql_system_tables.sql 
   ${CMAKE_CURRENT_SOURCE_DIR}/mysql_system_tables_data.sql
@@ -80,6 +97,8 @@ INSTALL(FILES
   ${CMAKE_CURRENT_SOURCE_DIR}/fill_help_tables.sql
   ${CMAKE_CURRENT_SOURCE_DIR}/mysql_test_data_timezone.sql
   ${CMAKE_CURRENT_SOURCE_DIR}/mysql_to_mariadb.sql
+  ${CMAKE_CURRENT_BINARY_DIR}/maria_add_gis_sp.sql
+  ${CMAKE_CURRENT_BINARY_DIR}/maria_add_gis_sp_bootstrap.sql
   ${FIX_PRIVILEGES_SQL}
   DESTINATION ${INSTALL_MYSQLSHAREDIR} COMPONENT Server
 )
@@ -270,13 +289,14 @@ IF(WIN32)
   ENDFOREACH()
 ELSE()
   IF(WITH_WSREP)
-    SET(WSREP_BINARIES
-      wsrep_sst_common
+    SET(WSREP_SCRIPTS
       wsrep_sst_mysqldump
       wsrep_sst_rsync
       wsrep_sst_xtrabackup
       wsrep_sst_xtrabackup-v2
     )
+    INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/wsrep_sst_common
+            DESTINATION ${INSTALL_BINDIR} COMPONENT Server)
   ENDIF()
   IF (NOT WITHOUT_SERVER)
     SET(SERVER_SCRIPTS
@@ -302,7 +322,7 @@ ELSE()
     mytop
     mysqlhotcopy
     ${SERVER_SCRIPTS}
-    ${WSREP_BINARIES}
+    ${WSREP_SCRIPTS}
     ${SYSTEMD_SCRIPTS}
   )
   FOREACH(file ${BIN_SCRIPTS})
@@ -328,29 +348,6 @@ ELSE()
   ENDFOREACH()
 ENDIF()
 
-# Configure two scripts from one 'in' file.
-# The maria_add_gis_sp.sql - to be sent to 'mysql' tool
-# and the maria_add_gis_sp_bootstrap.sql, that can be sent to
-# the server as a bootstrap command.
-
-SET(ADD_GIS_SP_SET_DELIMITER "delimiter |")
-SET(ADD_GIS_SP_RESET_DELIMITER "delimiter ;")
-SET(ADD_GIS_SP_EOL "|")
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/maria_add_gis_sp.sql.in
-  ${CMAKE_CURRENT_BINARY_DIR}/maria_add_gis_sp.sql ESCAPE_QUOTES @ONLY)
-
-SET(ADD_GIS_SP_SET_DELIMITER "")
-SET(ADD_GIS_SP_RESET_DELIMITER "")
-SET(ADD_GIS_SP_EOL ";")
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/maria_add_gis_sp.sql.in
-  ${CMAKE_CURRENT_BINARY_DIR}/maria_add_gis_sp_bootstrap.sql ESCAPE_QUOTES @ONLY)
-
-INSTALL_SCRIPT(${CMAKE_CURRENT_BINARY_DIR}/maria_add_gis_sp.sql
-               ${CMAKE_CURRENT_BINARY_DIR}/maria_add_gis_sp_bootstrap.sql
-  DESTINATION ${INSTALL_MYSQLSHAREDIR}
-  COMPONENT Server
-  )
-
 # Install libgcc as  mylibgcc.a
 IF(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_FLAGS MATCHES "-static")
   EXECUTE_PROCESS (
diff --git a/scripts/wsrep_sst_common b/scripts/wsrep_sst_common
new file mode 100644
index 0000000..f173a86
--- /dev/null
+++ b/scripts/wsrep_sst_common
@@ -0,0 +1,216 @@
+# Copyright (C) 2012-2015 Codership Oy
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; see the file COPYING. If not, write to the
+# Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston
+# MA  02110-1301  USA.
+
+# This is a common command line parser to be sourced by other SST scripts
+
+set -u
+
+WSREP_SST_OPT_BYPASS=0
+WSREP_SST_OPT_BINLOG=""
+WSREP_SST_OPT_CONF_SUFFIX=""
+WSREP_SST_OPT_DATA=""
+WSREP_SST_OPT_AUTH=${WSREP_SST_OPT_AUTH:-}
+WSREP_SST_OPT_USER=${WSREP_SST_OPT_USER:-}
+WSREP_SST_OPT_PSWD=${WSREP_SST_OPT_PSWD:-}
+WSREP_SST_OPT_DEFAULT=""
+WSREP_SST_OPT_EXTRA_DEFAULT=""
+
+while [ $# -gt 0 ]; do
+case "$1" in
+    '--address')
+        readonly WSREP_SST_OPT_ADDR="$2"
+        shift
+        ;;
+    '--bypass')
+        WSREP_SST_OPT_BYPASS=1
+        ;;
+    '--datadir')
+        readonly WSREP_SST_OPT_DATA="$2"
+        shift
+        ;;
+    '--defaults-file')
+        readonly WSREP_SST_OPT_DEFAULT="$1=$2"
+        shift
+        ;;
+    '--defaults-extra-file')
+        readonly WSREP_SST_OPT_EXTRA_DEFAULT="$1=$2"
+        shift
+        ;;
+    '--defaults-group-suffix')
+        WSREP_SST_OPT_CONF_SUFFIX="$2"
+        shift
+        ;;
+    '--host')
+        readonly WSREP_SST_OPT_HOST="$2"
+        shift
+        ;;
+    '--local-port')
+        readonly WSREP_SST_OPT_LPORT="$2"
+        shift
+        ;;
+    '--parent')
+        readonly WSREP_SST_OPT_PARENT="$2"
+        shift
+        ;;
+    '--password')
+        WSREP_SST_OPT_PSWD="$2"
+        shift
+        ;;
+    '--port')
+        readonly WSREP_SST_OPT_PORT="$2"
+        shift
+        ;;
+    '--role')
+        readonly WSREP_SST_OPT_ROLE="$2"
+        shift
+        ;;
+    '--socket')
+        readonly WSREP_SST_OPT_SOCKET="$2"
+        shift
+        ;;
+    '--user')
+        WSREP_SST_OPT_USER="$2"
+        shift
+        ;;
+    '--gtid')
+        readonly WSREP_SST_OPT_GTID="$2"
+        shift
+        ;;
+    '--binlog')
+        WSREP_SST_OPT_BINLOG="$2"
+        shift
+        ;;
+    '--gtid-domain-id')
+        readonly WSREP_SST_OPT_GTID_DOMAIN_ID="$2"
+        shift
+        ;;
+    *) # must be command
+       # usage
+       # exit 1
+       ;;
+esac
+shift
+done
+readonly WSREP_SST_OPT_BYPASS
+readonly WSREP_SST_OPT_BINLOG
+readonly WSREP_SST_OPT_CONF_SUFFIX
+
+# try to use my_print_defaults, mysql and mysqldump that come with the sources
+# (for MTR suite)
+SCRIPTS_DIR="$(cd $(dirname "$0"); pwd -P)"
+EXTRA_DIR="$SCRIPTS_DIR/../extra"
+CLIENT_DIR="$SCRIPTS_DIR/../client"
+
+if [ -x "$CLIENT_DIR/mysql" ]; then
+    MYSQL_CLIENT="$CLIENT_DIR/mysql"
+else
+    MYSQL_CLIENT=$(which mysql)
+fi
+
+if [ -x "$CLIENT_DIR/mysqldump" ]; then
+    MYSQLDUMP="$CLIENT_DIR/mysqldump"
+else
+    MYSQLDUMP=$(which mysqldump)
+fi
+
+if [ -x "$SCRIPTS_DIR/my_print_defaults" ]; then
+    MY_PRINT_DEFAULTS="$SCRIPTS_DIR/my_print_defaults"
+elif [ -x "$EXTRA_DIR/my_print_defaults" ]; then
+    MY_PRINT_DEFAULTS="$EXTRA_DIR/my_print_defaults"
+else
+    MY_PRINT_DEFAULTS=$(which my_print_defaults)
+fi
+
+readonly WSREP_SST_OPT_CONF="$WSREP_SST_OPT_DEFAULT $WSREP_SST_OPT_EXTRA_DEFAULT"
+MY_PRINT_DEFAULTS="$MY_PRINT_DEFAULTS $WSREP_SST_OPT_CONF"
+wsrep_auth_not_set()
+{
+    [ -z "$WSREP_SST_OPT_AUTH" -o "$WSREP_SST_OPT_AUTH" = "(null)" ]
+}
+
+# For Bug:1200727
+if $MY_PRINT_DEFAULTS sst | grep -q "wsrep_sst_auth"
+then
+    if wsrep_auth_not_set
+    then
+        WSREP_SST_OPT_AUTH=$($MY_PRINT_DEFAULTS sst | grep -- "--wsrep_sst_auth" | cut -d= -f2)
+    fi
+fi
+readonly WSREP_SST_OPT_AUTH
+
+# Splitting AUTH into potential user:password pair
+if ! wsrep_auth_not_set
+then
+    readonly AUTH_VEC=(${WSREP_SST_OPT_AUTH//:/ })
+    WSREP_SST_OPT_USER="${AUTH_VEC[0]:-}"
+    WSREP_SST_OPT_PSWD="${AUTH_VEC[1]:-}"
+fi
+readonly WSREP_SST_OPT_USER
+readonly WSREP_SST_OPT_PSWD
+
+if [ -n "${WSREP_SST_OPT_DATA:-}" ]
+then
+    SST_PROGRESS_FILE="$WSREP_SST_OPT_DATA/sst_in_progress"
+else
+    SST_PROGRESS_FILE=""
+fi
+
+wsrep_log()
+{
+    # echo everything to stderr so that it gets into common error log
+    # deliberately made to look different from the rest of the log
+    local readonly tst="$(date +%Y%m%d\ %H:%M:%S.%N | cut -b -21)"
+    echo "WSREP_SST: $* ($tst)" >&2
+}
+
+wsrep_log_error()
+{
+    wsrep_log "[ERROR] $*"
+}
+
+wsrep_log_info()
+{
+    wsrep_log "[INFO] $*"
+}
+
+wsrep_cleanup_progress_file()
+{
+    [ -n "${SST_PROGRESS_FILE:-}" ] && rm -f "$SST_PROGRESS_FILE" 2>/dev/null || true
+}
+
+wsrep_check_program()
+{
+    local prog=$1
+
+    if ! which $prog >/dev/null
+    then
+        echo "'$prog' not found in PATH"
+        return 2 # no such file or directory
+    fi
+}
+
+wsrep_check_programs()
+{
+    local ret=0
+
+    while [ $# -gt 0 ]
+    do
+        wsrep_check_program $1 || ret=$?
+        shift
+    done
+
+    return $ret
+}
diff --git a/scripts/wsrep_sst_common.sh b/scripts/wsrep_sst_common.sh
deleted file mode 100644
index f173a86..0000000
--- a/scripts/wsrep_sst_common.sh
+++ /dev/null
@@ -1,216 +0,0 @@
-# Copyright (C) 2012-2015 Codership Oy
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; see the file COPYING. If not, write to the
-# Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston
-# MA  02110-1301  USA.
-
-# This is a common command line parser to be sourced by other SST scripts
-
-set -u
-
-WSREP_SST_OPT_BYPASS=0
-WSREP_SST_OPT_BINLOG=""
-WSREP_SST_OPT_CONF_SUFFIX=""
-WSREP_SST_OPT_DATA=""
-WSREP_SST_OPT_AUTH=${WSREP_SST_OPT_AUTH:-}
-WSREP_SST_OPT_USER=${WSREP_SST_OPT_USER:-}
-WSREP_SST_OPT_PSWD=${WSREP_SST_OPT_PSWD:-}
-WSREP_SST_OPT_DEFAULT=""
-WSREP_SST_OPT_EXTRA_DEFAULT=""
-
-while [ $# -gt 0 ]; do
-case "$1" in
-    '--address')
-        readonly WSREP_SST_OPT_ADDR="$2"
-        shift
-        ;;
-    '--bypass')
-        WSREP_SST_OPT_BYPASS=1
-        ;;
-    '--datadir')
-        readonly WSREP_SST_OPT_DATA="$2"
-        shift
-        ;;
-    '--defaults-file')
-        readonly WSREP_SST_OPT_DEFAULT="$1=$2"
-        shift
-        ;;
-    '--defaults-extra-file')
-        readonly WSREP_SST_OPT_EXTRA_DEFAULT="$1=$2"
-        shift
-        ;;
-    '--defaults-group-suffix')
-        WSREP_SST_OPT_CONF_SUFFIX="$2"
-        shift
-        ;;
-    '--host')
-        readonly WSREP_SST_OPT_HOST="$2"
-        shift
-        ;;
-    '--local-port')
-        readonly WSREP_SST_OPT_LPORT="$2"
-        shift
-        ;;
-    '--parent')
-        readonly WSREP_SST_OPT_PARENT="$2"
-        shift
-        ;;
-    '--password')
-        WSREP_SST_OPT_PSWD="$2"
-        shift
-        ;;
-    '--port')
-        readonly WSREP_SST_OPT_PORT="$2"
-        shift
-        ;;
-    '--role')
-        readonly WSREP_SST_OPT_ROLE="$2"
-        shift
-        ;;
-    '--socket')
-        readonly WSREP_SST_OPT_SOCKET="$2"
-        shift
-        ;;
-    '--user')
-        WSREP_SST_OPT_USER="$2"
-        shift
-        ;;
-    '--gtid')
-        readonly WSREP_SST_OPT_GTID="$2"
-        shift
-        ;;
-    '--binlog')
-        WSREP_SST_OPT_BINLOG="$2"
-        shift
-        ;;
-    '--gtid-domain-id')
-        readonly WSREP_SST_OPT_GTID_DOMAIN_ID="$2"
-        shift
-        ;;
-    *) # must be command
-       # usage
-       # exit 1
-       ;;
-esac
-shift
-done
-readonly WSREP_SST_OPT_BYPASS
-readonly WSREP_SST_OPT_BINLOG
-readonly WSREP_SST_OPT_CONF_SUFFIX
-
-# try to use my_print_defaults, mysql and mysqldump that come with the sources
-# (for MTR suite)
-SCRIPTS_DIR="$(cd $(dirname "$0"); pwd -P)"
-EXTRA_DIR="$SCRIPTS_DIR/../extra"
-CLIENT_DIR="$SCRIPTS_DIR/../client"
-
-if [ -x "$CLIENT_DIR/mysql" ]; then
-    MYSQL_CLIENT="$CLIENT_DIR/mysql"
-else
-    MYSQL_CLIENT=$(which mysql)
-fi
-
-if [ -x "$CLIENT_DIR/mysqldump" ]; then
-    MYSQLDUMP="$CLIENT_DIR/mysqldump"
-else
-    MYSQLDUMP=$(which mysqldump)
-fi
-
-if [ -x "$SCRIPTS_DIR/my_print_defaults" ]; then
-    MY_PRINT_DEFAULTS="$SCRIPTS_DIR/my_print_defaults"
-elif [ -x "$EXTRA_DIR/my_print_defaults" ]; then
-    MY_PRINT_DEFAULTS="$EXTRA_DIR/my_print_defaults"
-else
-    MY_PRINT_DEFAULTS=$(which my_print_defaults)
-fi
-
-readonly WSREP_SST_OPT_CONF="$WSREP_SST_OPT_DEFAULT $WSREP_SST_OPT_EXTRA_DEFAULT"
-MY_PRINT_DEFAULTS="$MY_PRINT_DEFAULTS $WSREP_SST_OPT_CONF"
-wsrep_auth_not_set()
-{
-    [ -z "$WSREP_SST_OPT_AUTH" -o "$WSREP_SST_OPT_AUTH" = "(null)" ]
-}
-
-# For Bug:1200727
-if $MY_PRINT_DEFAULTS sst | grep -q "wsrep_sst_auth"
-then
-    if wsrep_auth_not_set
-    then
-        WSREP_SST_OPT_AUTH=$($MY_PRINT_DEFAULTS sst | grep -- "--wsrep_sst_auth" | cut -d= -f2)
-    fi
-fi
-readonly WSREP_SST_OPT_AUTH
-
-# Splitting AUTH into potential user:password pair
-if ! wsrep_auth_not_set
-then
-    readonly AUTH_VEC=(${WSREP_SST_OPT_AUTH//:/ })
-    WSREP_SST_OPT_USER="${AUTH_VEC[0]:-}"
-    WSREP_SST_OPT_PSWD="${AUTH_VEC[1]:-}"
-fi
-readonly WSREP_SST_OPT_USER
-readonly WSREP_SST_OPT_PSWD
-
-if [ -n "${WSREP_SST_OPT_DATA:-}" ]
-then
-    SST_PROGRESS_FILE="$WSREP_SST_OPT_DATA/sst_in_progress"
-else
-    SST_PROGRESS_FILE=""
-fi
-
-wsrep_log()
-{
-    # echo everything to stderr so that it gets into common error log
-    # deliberately made to look different from the rest of the log
-    local readonly tst="$(date +%Y%m%d\ %H:%M:%S.%N | cut -b -21)"
-    echo "WSREP_SST: $* ($tst)" >&2
-}
-
-wsrep_log_error()
-{
-    wsrep_log "[ERROR] $*"
-}
-
-wsrep_log_info()
-{
-    wsrep_log "[INFO] $*"
-}
-
-wsrep_cleanup_progress_file()
-{
-    [ -n "${SST_PROGRESS_FILE:-}" ] && rm -f "$SST_PROGRESS_FILE" 2>/dev/null || true
-}
-
-wsrep_check_program()
-{
-    local prog=$1
-
-    if ! which $prog >/dev/null
-    then
-        echo "'$prog' not found in PATH"
-        return 2 # no such file or directory
-    fi
-}
-
-wsrep_check_programs()
-{
-    local ret=0
-
-    while [ $# -gt 0 ]
-    do
-        wsrep_check_program $1 || ret=$?
-        shift
-    done
-
-    return $ret
-}
diff --git a/storage/oqgraph/mysql-test/oqgraph/generate_backing_table_tests_suite.sh b/storage/oqgraph/mysql-test/oqgraph/generate_backing_table_tests_suite.sh
index 087b2b7..22feaab 100755
--- a/storage/oqgraph/mysql-test/oqgraph/generate_backing_table_tests_suite.sh
+++ b/storage/oqgraph/mysql-test/oqgraph/generate_backing_table_tests_suite.sh
@@ -45,7 +45,8 @@ done
 # Intended to be run from build as ../storage/oqgraph/mysql-test/oqgraph/maintainer-general-record.sh
 
 MGFILE=maintainer-general-record.sh
-echo '# This is a maintainer generated file. Generated at '`date`'.' > $MGFILE
+echo '#!/bin/sh' > $MGFILE
+echo '# This is a maintainer generated file. Generated at '`date`'.' >> $MGFILE
 for ENGINE in $ENGINES $ENGINES2 ; do
   echo mysql-test/mysql-test-run --record oqgraph.general-$ENGINE >> $MGFILE
 done
diff --git a/storage/oqgraph/mysql-test/oqgraph/maintainer-general-record.sh b/storage/oqgraph/mysql-test/oqgraph/maintainer-general-record.sh
index bc68401..7af1201 100755
--- a/storage/oqgraph/mysql-test/oqgraph/maintainer-general-record.sh
+++ b/storage/oqgraph/mysql-test/oqgraph/maintainer-general-record.sh
@@ -1,3 +1,4 @@
+#!/bin/sh
 # This is a maintainer generated file. Generated at Wednesday 5 February 22:26:12 CST 2014.
 mysql-test/mysql-test-run --record oqgraph.general-MyISAM
 mysql-test/mysql-test-run --record oqgraph.general-MEMORY


More information about the commits mailing list